## START: Set by rpmautospec
## (rpmautospec version 0.7.2)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           deepin-editor
Version:        6.5.1
Release:        %autorelease
Summary:        Text editor for DDE
License:        GPL-3.0-or-later
URL:            https://github.com/linuxdeepin/deepin-editor
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  gcc-c++
BuildRequires:  cmake
BuildRequires:  ninja-build

BuildRequires:  cmake(Qt5Widgets)
BuildRequires:  cmake(Qt5DBus)
BuildRequires:  cmake(Qt5Concurrent)
BuildRequires:  cmake(Qt5PrintSupport)
BuildRequires:  cmake(Qt5Gui)
BuildRequires:  cmake(Qt5Xml)
BuildRequires:  cmake(Qt5Svg)
BuildRequires:  qt5-qtbase-private-devel
%{?_qt5:Requires: %{_qt5}%{?_isa} = %{_qt5_version}}
# provides lrelease-qt5
BuildRequires:  qt5-linguist

BuildRequires:  cmake(DtkWidget)
BuildRequires:  cmake(DtkCore)
BuildRequires:  cmake(KF5SyntaxHighlighting)
BuildRequires:  cmake(KF5Codecs)
BuildRequires:  cmake(DFrameworkdbus)

BuildRequires:  pkgconfig(icu-i18n)
BuildRequires:  pkgconfig(icu-uc)
BuildRequires:  pkgconfig(chardet)
BuildRequires:  uchardet-devel

BuildRequires:  desktop-file-utils

Requires:       deepin-qt5integration
Recommends:     deepin-manual

%description
Deepin Editor is a desktop text editor that supports common text editing
features.

%prep
%autosetup -p1

sed -i 's|lrelease|lrelease-qt5|; s|lupdate|lupdate-qt5|' \
    translate_generation.sh

%build
%cmake -GNinja
%cmake_build

%install
%cmake_install
%find_lang deepin-editor --with-qt --all-name
rm %{buildroot}%{_datadir}/deepin-editor/translations/deepin-editor.qm

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/*.desktop

%files -f deepin-editor.lang
%doc README.md
%license LICENSE.txt
%{_bindir}/deepin-editor
%{_datadir}/applications/deepin-editor.desktop
%{_datadir}/icons/hicolor/scalable/apps/deepin-editor.svg
%dir %{_datadir}/deepin-editor
%dir %{_datadir}/deepin-editor/org.kde.syntax-highlighing
%{_datadir}/deepin-editor/org.kde.syntax-highlighing/syntax/vbscript.xml
%dir %{_datadir}/deepin-editor/themes
%{_datadir}/deepin-editor/themes/*.theme
%{_datadir}/deepin-manual/manual-assets/application/deepin-editor/
%{_datadir}/dsg/configs/org.deepin.editor/org.deepin.editor.json

%changelog
## START: Generated by rpmautospec
* Thu Sep 12 2024 Felix Wang <topazus@outlook.com> - 6.5.1-1
- update to 6.5.1; add packit file

* Fri Aug 16 2024 Felix Wang <topazus@outlook.com> - 6.0.18-1
- 6.0.18

* Wed Jul 17 2024 Fedora Release Engineering <releng@fedoraproject.org> - 6.0.10-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Wed Jan 31 2024 Pete Walter <pwalter@fedoraproject.org> - 6.0.10-4
- Rebuild for ICU 74

* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 6.0.10-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 6.0.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Aug 20 2023 Robin Lee <cheeselee@fedoraproject.org> - 6.0.10-1
- New release 6.0.10

* Wed Jul 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 5.10.18-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue Jul 11 2023 František Zatloukal <fzatlouk@redhat.com> - 5.10.18-7
- Rebuilt for ICU 73.2

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 5.10.18-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Dec 31 2022 Pete Walter <pwalter@fedoraproject.org> - 5.10.18-5
- Rebuild for ICU 72

* Mon Aug 01 2022 František Zatloukal <fzatlouk@redhat.com> - 5.10.18-4
- Rebuilt for ICU 71.1

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 5.10.18-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Jul 14 2022 Jan Grulich <jgrulich@redhat.com> - 5.10.18-2
- Rebuild (qt5)

* Sat Jun 18 2022 Robin Lee <cheeselee@fedoraproject.org> - 5.10.18-1
- New release 5.10.18

* Thu May 19 2022 Jan Grulich <jgrulich@redhat.com> - 5.10.14-3
- Fix KF5 includes

* Tue May 17 2022 Jan Grulich <jgrulich@redhat.com> - 5.10.14-2
- Rebuild (qt5)

* Tue Apr 19 2022 Robin Lee <cheeselee@fedoraproject.org> - 5.10.14-1
- New release 5.10.14

* Tue Mar 08 2022 Jan Grulich <jgrulich@redhat.com> - 5.9.14-3
- Rebuild (qt5)

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 5.9.14-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Oct 05 2021 Robin Lee <cheeselee@fedoraproject.org> - 5.9.14-1
- New release 5.9.14

* Mon Sep 06 2021 Robin Lee <cheeselee@fedoraproject.org> - 5.9.0.52-1
- New release 5.9.0.52

* Wed Jul 21 2021 Fedora Release Engineering <releng@fedoraproject.org> - 5.9.0.24-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Mar 12 2021 Robin Lee <cheeselee@fedoraproject.org> - 5.9.0.24-1
- fix: 更新桌面翻译 (ut000616)
- fix: 修复bug (ut001763)

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 5.9.0.11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Wed Nov 25 2020 Robin Lee <cheeselee@fedoraproject.org> - 5.9.0.11-1
- new upstream release: 5.9.0.11

* Mon Nov 23 07:49:33 CET 2020 Jan Grulich <jgrulich@redhat.com> - 5.9.0.3-2
- rebuild (qt5)

* Thu Nov 12 2020 Robin Lee <cheeselee@fedoraproject.org> - 5.9.0.3-1
- new upstream release: 5.9.0.3

* Fri Sep 11 2020 Jan Grulich <jgrulich@redhat.com> - 1.2.9.1-8
- rebuild (qt5)

* Fri Aug  7 2020 Robin Lee <cheeselee@fedoraproject.org> - 1.2.9.1-7
- Improve compatibility with new CMake macro

* Sat Aug 01 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.9.1-7
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.9.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Mon Apr 06 2020 Rex Dieter <rdieter@fedoraproject.org> - 1.2.9.1-5
- rebuild (qt5)

* Tue Jan 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.9.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Mon Dec 09 2019 Jan Grulich <jgrulich@redhat.com> - 1.2.9.1-3
- rebuild (qt5)

* Wed Sep 25 2019 Jan Grulich <jgrulich@redhat.com> - 1.2.9.1-2
- rebuild (qt5)

* Sun Aug 11 2019 Robin Lee <cheeselee@fedoraproject.org> - 1.2.9.1-1
- Release 1.2.9.1

* Wed Jul 24 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.6.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Mon Jun 17 2019 Jan Grulich <jgrulich@redhat.com> - 1.2.6.3-5
- rebuild (qt5)

* Mon Jun 10 2019 Robin Lee <cheeselee@fedoraproject.org> - 1.2.6.3-4
- Rebuild (Qt5)

* Wed Mar 13 2019 Robin Lee <cheeselee@fedoraproject.org> - 1.2.6.3-3
- Requires private Qt symbols

* Thu Feb 28 2019 Robin Lee <cheeselee@fedoraproject.org> - 1.2.6.3-2
- Fix translations

* Sat Feb  9 2019 mosquito <sensor.wen@gmail.com> - 1.2.6.3-1
- Update to 1.2.6.3

* Thu Jan 31 2019 mosquito <sensor.wen@gmail.com> - 1.2.6.2-1
- Update to 1.2.6.2

* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Nov  9 2018 mosquito <sensor.wen@gmail.com> - 1.1.1-1
- Update to 1.1.1

* Mon Jul 23 2018 mosquito <sensor.wen@gmail.com> - 0.0.5-1
- Initial package build

## END: Generated by rpmautospec
